Oracel OEM 12c Database Plugin – Red Hat 4.8

Publicado: março 23, 2016 em Uncategorized

Ao tentar instalar o plugin do Oracle Database na versão 12.1.0.1.0  no Red Hat 4.8 foi apresentado o seguinte erro:

u01/app/oem/agent12c/core/12.1.0.1.0/bin/nmocat: error while loading shared libraries: requires glibc 2.5 or later dynamic linker

Ao verificar a certificação de matrix do agent para o OS em questão, vi que somente a versão 32 bits está liberada, mesmo o sistema sendo 64 bits.

Screen Shot 03-22-16 at 10.46 AM.PNG

Com isso, tive que desinstalar o agent 64 bits e instalar o de 32 bits seguindo os seguintes passos:

1) Parar o OEM Agent.

emctl stop agent

2) Deletar os targets do OEM. (Servidor do OMS)

emcli delete_target -name=”mtzsrverpprod.com:1836″ -type=”oracle_emd” -delete_monitored_targets

3) Desinstalar o OEM Agent pelo OUI gráfico.

$AGENT_HOME/oui/bin/runInstaller -deinstall ORACLE_HOME=/u01/app/oracle/agent/core/12.1.0.1.0/ -removeallfiles

– Remover os plugins primeiro.
– Depois remover o sbin.
– E por último, remover o agent.

4)  Via OEM Cloud Control, instalar o Agent e o Plugin do Oracle Database no servidor em questão.

Screen Shot 03-23-16 at 02.56 PM.PNG

Depois o monitoramento funcionou normalmente.

Links:
12c Plugin Deployment Failed with requires glibc 2.5 or later dynamic linker (Doc ID 1504584.1)
Deinstalling Oracle Management Agents

 

Deixe uma resposta

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s